# Interface CompileTester.SuccessfulFileClause<T>

Type Parameters:
  `T` - the non-generic clause type implementing this interface

All Superinterfaces:
  `CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<T>>`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.SuccessfulFileClause<T> extends CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<T>>
The clause in the fluent API that checks that a generated file has the specified contents.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester.SuccessfulFileClause<T>`
`withContents(com.google.common.io.ByteSource expectedByteSource)`
Checks that the contents of the generated file match the contents of the specified `ByteSource`.
`CompileTester.SuccessfulFileClause<T>`
`withStringContents(Charset charset, String expectedString)`
Checks that the contents of the generated file are equal to the specified string in the given charset.

### Methods inherited from interface CompileTester.ChainingClause

`and`

## Method Details

### withContents

@CanIgnoreReturnValue CompileTester.SuccessfulFileClause<T> withContents(com.google.common.io.ByteSource expectedByteSource)
Checks that the contents of the generated file match the contents of the specified `ByteSource`.

### withStringContents

@CanIgnoreReturnValue CompileTester.SuccessfulFileClause<T> withStringContents(Charset charset, String expectedString)
Checks that the contents of the generated file are equal to the specified string in the given charset.